import sys
import os
import string
import time

# BEFORE importing distutils, remove MANIFEST. distutils doesn't properly
# update it when the contents of directories change
if os.path.exists('MANIFEST'): os.remove('MANIFEST')

import glob
from distutils.core import setup

if sys.argv[-1] == 'setup.py':
    print "To install, run 'python setup.py install'"
    print

if sys.version_info[:2] < (2, 3):
    print "NX requires Python version 2.3 or later (%d.%d detected)." % \
          sys.version_info[:2]
    sys.exit(-1)

execfile(os.path.join('NX','release.py'))

#names= ", ".join([v[0] for (k,v) in authors.items()])

packages=["NX","NX.generators","NX.drawing","NX.tests"]

examples=[]
examples.extend(glob.glob('Examples/*.py'))
examples.extend(glob.glob('Examples/*.dat'))
examples.extend(glob.glob('Examples/*.edges'))
example_files=('share/NX/Examples',examples)

data=[example_files]

setup(name = name,
      version = version,
#      version = "snapshot." + string.join(map(str, time.gmtime()[:3]), '.'),
      author=authors['Hagberg'][0],
      author_email=authors['Hagberg'][1],
      description=description,
      keywords=keywords,
      long_description=long_description,
      license=license,
      platforms=platforms,
      url=url,      
      packages =packages,
      data_files=data,
      )


try:
    import Numeric 
except:
    print "Import Error: not able to import Numeric."
    print "Some functionality may be unavailable."
    print "See http://numpy.sf.net/ for this package."
    print
    pass

try:
    import matplotlib.pylab 
except:
    print "Import Error: not able to import matplotlib."
    print "Some functionality may be unavailable."
    print "See http://matplotlib.sourceforge.net/ for this package."
    print
    pass

try:
    import pydot
except:
    print "Import Error: not able to import pydot."
    print "Some functionality may be unavailable."
    print "See http://dkbza.org/pydot.html for this package."
    print
    pass
